Bug 970037 - (CVE-2013-2112) CVE-2013-2112 subversion: Remote DoS due improper handling of early-closing TCP connections
CVE-2013-2112 subversion: Remote DoS due improper handling of early-closing T...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130531,reported=2...
: Security
Depends On: 970044 1064216 1064218 1064221 1064222
Blocks: 970062 1062046
  Show dependency treegraph
 
Reported: 2013-06-03 07:14 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:43 EST (History)
3 users (show)

See Also:
Fixed In Version: Subversion 1.6.23, Subversion 1.7.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-21 05:13:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-06-03 07:14:57 EDT
A denial of service flaw was found in the way svnserve tool of Subversion, a concurrent version control system, managed remote client TCP connections that got closed early in the connection process (previously aborted connections were treated as critical errors, resulting into svnserve termination). A remote attacker could use this flaw to cause denial of service (svnserve daemon exit, leading to disruption of SVN service to other users).

References:
[1] http://subversion.apache.org/security/CVE-2013-2112-advisory.txt

Annoucements:
[2] http://mail-archives.apache.org/mod_mbox/subversion-dev/201305.mbox/%3CCADkdwvTxsMFeHgc8bK2V-2PrSrKoBffTi8+xbHA5tocrrewWew@mail.gmail.com%3E
    (1.6.23)
[3] http://mail-archives.apache.org/mod_mbox/subversion-dev/201305.mbox/%3CCADkdwvRK51pQsybfvsAzjxQJrmVpL0fEa1K4WGkUP9Tzz6KFDw@mail.gmail.com%3E
    (1.7.10)
Comment 1 Jan Lieskovsky 2013-06-03 07:16:53 EDT
This issue affects the versions of the subversion package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the subversion package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-06-03 07:21:43 EDT
Created subversion tracking bugs for this issue

Affects: fedora-all [bug 970044]
Comment 10 Huzaifa S. Sidhpurwala 2013-06-18 00:11:32 EDT
Statement:

This issue affects the version of subversion as shipped with Red Hat Enterprise Linux 5 and 6. The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.
Comment 11 Fedora Update System 2013-08-14 22:33:25 EDT
subversion-1.7.11-1.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Tomas Hoger 2014-10-21 05:13:02 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0255 https://rhn.redhat.com/errata/RHSA-2014-0255.html

Note You need to log in before you can comment on or make changes to this bug.